import request from '@/utils/request'

// 查询请假记录图像信息列表
export function listLeavenImg(query) {
  return request({
    url: '/flow/leavenImg/list',
    method: 'get',
    params: query
  })
}

// 查询请假记录图像信息详细
export function getLeavenImg(id) {
  return request({
    url: '/flow/leavenImg/' + id,
    method: 'get'
  })
}

// 新增请假记录图像信息
export function addLeavenImg(data) {
  return request({
    url: '/flow/leavenImg',
    method: 'post',
    data: data
  })
}

// 修改请假记录图像信息
export function updateLeavenImg(data) {
  return request({
    url: '/flow/leavenImg',
    method: 'put',
    data: data
  })
}

// 删除请假记录图像信息
export function delLeavenImg(id) {
  return request({
    url: '/flow/leavenImg/' + id,
    method: 'delete'
  })
}

// 导出请假记录图像信息
export function exportLeavenImg(query) {
  return request({
    url: '/flow/leavenImg/export',
    method: 'get',
    params: query
  })
}